cascading.flow.planner.rule

## Class TransformException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - cascading.CascadingException
        - - cascading.flow.FlowException
          - - cascading.flow.planner.PlannerException
            - - cascading.flow.planner.rule.TransformException

- All Implemented Interfaces:
    java.io.Serializable

      public class TransformException
      extends PlannerException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransformException()`
    `TransformException(java.lang.Throwable cause, Transformed<?> transformed)`
    `TransformException(Transformed<?> transformed)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Transformed<?>` | `getTransformed()`

    - ### Methods inherited from class cascading.flow.planner.PlannerException

      `getElementGraph, writeCauseDOT, writeDOT`

    - ### Methods inherited from class cascading.flow.FlowException

      `getFlowName`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TransformException

          public TransformException()

    - #### TransformException

          public TransformException(Transformed<?> transformed)

    - #### TransformException

          public TransformException(java.lang.Throwable cause,
                            Transformed<?> transformed)

  - ### Method Detail

    - #### getTransformed

          public Transformed<?> getTransformed()

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.